Bug 208043 - ETHTOOL_OPTS not supported for bridge interface
ETHTOOL_OPTS not supported for bridge interface
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-25 21:05 EDT by Bradley
Modified: 2014-03-16 23:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: 8.52-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 19:51:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (475 bytes, patch)
2006-09-25 21:05 EDT, Bradley
no flags Details | Diff

  None (edit)
Description Bradley 2006-09-25 21:05:41 EDT
Description of problem:

ETHTOOL_OPTS is ignored for ethernet interfaces that are part of a bridge interface

Version-Release number of selected component (if applicable):

initscripts-8.31.5-1

How reproducible:


Steps to Reproduce:
1. Add ETHTOOL_OPTS="speed 100 duplex full autoneg no" to an interface that is
part of a bridge
2. /sbin/ifup ethX
3. ethtool ethX
  
Actual results:

speed/duplex/autoneg settings are not applied

Expected results:

speed/duplex/autoneg settings are applied

Additional info:

Needs a call to ethtool (*before* calling brctl, so that the STP path costs/etc
are correct)

Patch attached.

BTW, shouldn't all the opts be set before the link is brought up with |ip link
set dev up|, |ifenslave|, etc? Changing these params will just bounce the link
again. I made the patch match the logic in all the other places, though.
Comment 1 Bradley 2006-09-25 21:05:41 EDT
Created attachment 137102 [details]
patch
Comment 2 Bill Nottingham 2007-04-16 19:51:57 EDT
Added in CVS, will be in 8.52-1. Sorry about the delay.

Note You need to log in before you can comment on or make changes to this bug.